Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007967TestLinkBug Tracking System - Redmine Integrationpublic2017-06-08 11:382017-08-30 16:22
Reportercristina 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0007967: Custom fields redmine
DescriptionHi,

We are setting up an Issue Tracker with redmine and we need to send the build to the issue. We have

<issuetracker>
<apikey>apikey</apikey>
<uribase>http://redmineip/</uribase> [^]
<uriview>http://redmineip/issues/</uriview> [^]
<!-- Project Identifier is NEEDED ONLY if you want to create issues from TL -->
<projectidentifier>prueba</projectidentifier>
<attributes>
<targetversion>2</targetversion>
</attributes>
<trackerid>1</trackerid>
<custom_fields>
<custom_field name="Prueba" id="1">
<value>Texto</value>
</custom_field>
</custom_fields>
</issuetracker>

When we click on check connection we get an error http 500. If we delete the custom fields from the configuration, the connection is successful and issues are created.

Can you tell us how to configure custom fields to send them to the issue?

We have TestLink 1.9.16 and redmine 3.3.3

Thanks.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
related to 0008057resolvedfman Check Connection with configuration containing Custom Field - Crash asXML() 
related to 0008054resolvedfman Issue tracking management (PHP Version 7.1.x Issue) 
related to 0008036resolvedfman When trying to execute a test plan the steps are not displayed and no radio buttons (PHP 7.1.x version issue) 

-  Notes
(0026460)
fman (administrator)
2017-06-09 18:24

give a look to post on forum, and check other issues here related to redmine
(0026475)
cristina (reporter)
2017-06-12 08:12

In the log I see

[>>][593e48797d2e0607125244][DEFAULT][/lib/issuetrackers/issueTrackerEdit.php][17/Jun/12 07:53:29]
    [17/Jun/12 07:53:29][WARNING][r2us0vvdpsecp9foemnjq04ac2][GUI]
        E_NOTICE
Undefined index: checkConnection - in C:\Bitnami\testlink-1.9.16-0\apps\testlink\htdocs\lib\issuetrackers\issueTrackerCommands.class.php - Line 72
    [17/Jun/12 07:53:29][WARNING][r2us0vvdpsecp9foemnjq04ac2][GUI]
        E_WARNING
Missing argument 3 for redminerestInterface::__construct(), called in C:\Bitnami\testlink-1.9.16-0\apps\testlink\htdocs\lib\issuetrackers\issueTrackerCommands.class.php on line 268 and defined - in C:\Bitnami\testlink-1.9.16-0\apps\testlink\htdocs\lib\issuetrackerintegration\redminerestInterface.class.php - Line 28
    [17/Jun/12 07:53:29][WARNING][r2us0vvdpsecp9foemnjq04ac2][GUI]
        E_NOTICE
Undefined variable: name - in C:\Bitnami\testlink-1.9.16-0\apps\testlink\htdocs\lib\issuetrackerintegration\redminerestInterface.class.php - Line 30
[<<][593e48797d2e0607125244][DEFAULT][/lib/issuetrackers/issueTrackerEdit.php][17/Jun/12 07:53:29][17/Jun/12 07:53:29][took 0.1585 secs]

I changed issueTrackerCommands.class.php adding $argsObj->name

    $class2create = $guiObj->item['implementation'];
    $its = new $class2create($argsObj->type,$argsObj->cfg,$argsObj->name);
    $guiObj->connectionStatus = $its->isConnected() ? 'ok' : 'ko';

After that I see

[>>][593e4b1d688cc248515496][DEFAULT][/lib/issuetrackers/issueTrackerEdit.php][17/Jun/12 08:04:45]
    [17/Jun/12 08:04:45][WARNING][r2us0vvdpsecp9foemnjq04ac2][GUI]
        E_NOTICE
Undefined index: checkConnection - in C:\Bitnami\testlink-1.9.16-0\apps\testlink\htdocs\lib\issuetrackers\issueTrackerCommands.class.php - Line 72
[<<][593e4b1d688cc248515496][DEFAULT][/lib/issuetrackers/issueTrackerEdit.php][17/Jun/12 08:04:45][17/Jun/12 08:04:45][took 0.1 secs]

Could you tell me how to solve this problem?
(0026672)
bb3 (reporter)
2017-08-08 06:36

Hi fman and Cristina,

I'm also facing same issue, i'm completely new to testlink.

So could you help me out of this error or else please tell where i'll find solution for this issue.
(0026720)
fman (administrator)
2017-08-15 15:47

I've found what is not allowing to connect when using custom fields (some issue related to asXML() after my choice to save new things in session), but after fixing I can create issues but custom fields are not written on redmine .
I'm trying to check this but I've issues with my redmine installation.
I'm going to commit the first piece of solution and provide here link to commit.

stay tunned
(0026750)
fman (administrator)
2017-08-18 17:15

Please use info present on related TICKETS, retest & provide feedback
(0026798)
fman (administrator)
2017-08-30 16:22

no more user feedback

- Issue History
Date Modified Username Field Change
2017-06-08 11:38 cristina New Issue
2017-06-09 18:24 fman Note Added: 0026460
2017-06-12 08:12 cristina Note Added: 0026475
2017-08-08 06:36 bb3 Note Added: 0026672
2017-08-14 16:08 fman QA Team - Task Workflow Status => TBD
2017-08-14 16:08 fman Product Version => 1.9.16 (2016 Q4)
2017-08-15 15:47 fman Note Added: 0026720
2017-08-18 17:14 fman Relationship added related to 0008057
2017-08-18 17:15 fman Note Added: 0026750
2017-08-18 17:15 fman Assigned To => fman
2017-08-18 17:15 fman Status new => feedback
2017-08-18 17:15 fman Relationship added related to 0008054
2017-08-18 17:15 fman Relationship added related to 0008036
2017-08-30 16:22 fman Note Added: 0026798
2017-08-30 16:22 fman Status feedback => resolved
2017-08-30 16:22 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-08-30 16:22 fman Resolution open => fixed



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker